Package de.willuhn.jameica.hbci.server

# Class DBSupportMySqlImpl

java.lang.Object
de.willuhn.jameica.hbci.server.AbstractDBSupportImpl
de.willuhn.jameica.hbci.server.DBSupportMySqlImpl

All Implemented Interfaces:
  `DBSupport`, `Serializable`

public class DBSupportMySqlImpl extends AbstractDBSupportImpl
Implementierung des Datenbank-Supports fuer MySQL.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DBSupportMySqlImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Connection conn, File sqlScript)`
Ueberschrieben, weil SQL-Scripts bei MySQL nicht automatisch durchgefuehrt werden.
`boolean`
`getInsertWithID()`
Legt fest, ob SQL-Insert-Queries mit oder ohne ID erzeugt werden sollen.
`String`
`getJdbcDriver()`
Liefert den Klassennamen des JDBC-Treibers.
`String`
`getJdbcPassword()`
Liefert das Passwort des Datenbank-Users.
`String`
`getJdbcUrl()`
Liefert die JDBC-URL.
`String`
`getJdbcUsername()`
Liefert den Usernamen des Datenbank-Users.
`String`
`getScriptPrefix()`
Liefert einen Dateinamens-Prefix, der SQL-Scripts vorangestellt werden soll.
`String`
`getSQLTimestamp(String content)`
Liefert den Namen der SQL-Funktion, mit der die Datenbank aus einem DATE-Feld einen UNIX-Timestamp macht.
`int`
`getTransactionIsolationLevel()`
Liefert das Transaction-Isolation-Level.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractDBSupportImpl

`checkConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DBSupportMySqlImpl

public DBSupportMySqlImpl()

## Method Details

### getJdbcDriver

public String getJdbcDriver()
Description copied from interface: `DBSupport`
Liefert den Klassennamen des JDBC-Treibers.

Returns:
  der JDBC-Treiber.
See Also:
  - `DBSupport.getJdbcDriver()`

### getJdbcPassword

public String getJdbcPassword()
Description copied from interface: `DBSupport`
Liefert das Passwort des Datenbank-Users.

Returns:
  das Passwort.
See Also:
  - `DBSupport.getJdbcPassword()`

### getJdbcUrl

public String getJdbcUrl()
Description copied from interface: `DBSupport`
Liefert die JDBC-URL.

Returns:
  die JDBC-URL.
See Also:
  - `DBSupport.getJdbcUrl()`

### getJdbcUsername

public String getJdbcUsername()
Description copied from interface: `DBSupport`
Liefert den Usernamen des Datenbank-Users.

Returns:
  Username.
See Also:
  - `DBSupport.getJdbcUsername()`

### execute

public void execute(Connection conn, File sqlScript) throws RemoteException
Ueberschrieben, weil SQL-Scripts bei MySQL nicht automatisch durchgefuehrt werden. Andernfalls wuerde jeder Hibiscus-Client beim ersten Start versuchen, diese anzulegen. Das soll der Admin sicherheitshalber manuell durchfuehren. Wir hinterlassen stattdessen nur einen Hinweistext mit den auszufuehrenden SQL-Scripts.

Specified by:
  `execute` in interface `DBSupport`
Overrides:
  `execute` in class `AbstractDBSupportImpl`
Parameters:
  `conn` - die Datenbank-Connection.
  `sqlScript` - das SQL-Script.
Throws:
  `RemoteException`
See Also:
  - `AbstractDBSupportImpl.execute(java.sql.Connection, java.io.File)`

### getScriptPrefix

public String getScriptPrefix() throws RemoteException
Description copied from interface: `DBSupport`
Liefert einen Dateinamens-Prefix, der SQL-Scripts vorangestellt werden soll.

Returns:
  Dateinamens-Prefix.
Throws:
  `RemoteException`
See Also:
  - `DBSupport.getScriptPrefix()`

### getSQLTimestamp

public String getSQLTimestamp(String content) throws RemoteException
Description copied from interface: `DBSupport`
Liefert den Namen der SQL-Funktion, mit der die Datenbank aus einem DATE-Feld einen UNIX-Timestamp macht. Bei MySQL ist das z.Bsp. "UNIX_TIMESTAMP".

Parameters:
  `content` - der Feld-Name.
Returns:
  Name der SQL-Funktion samt Parameter. Also zum Beispiel "TONUMBER(datum)".
Throws:
  `RemoteException`
See Also:
  - `DBSupport.getSQLTimestamp(java.lang.String)`

### getInsertWithID

public boolean getInsertWithID() throws RemoteException
Description copied from interface: `DBSupport`
Legt fest, ob SQL-Insert-Queries mit oder ohne ID erzeugt werden sollen.

Returns:
  true, wenn die Insert-Queries mit ID erzeugt werden.
Throws:
  `RemoteException` - Siehe auch: de.willuhn.datasource.db.DBServiceImpl#getInsertWithID()
See Also:
  - `DBSupport.getInsertWithID()`

### getTransactionIsolationLevel

public int getTransactionIsolationLevel() throws RemoteException
Description copied from interface: `DBSupport`
Liefert das Transaction-Isolation-Level.

Specified by:
  `getTransactionIsolationLevel` in interface `DBSupport`
Overrides:
  `getTransactionIsolationLevel` in class `AbstractDBSupportImpl`
Returns:
  das Transaction-Isolation-Level.
Throws:
  `RemoteException`
See Also:
  - `AbstractDBSupportImpl.getTransactionIsolationLevel()`